Package org.apache.sling.feature.launcher.impl.extensions.handlers

# Class ContentPackageHandler

java.lang.Object
org.apache.sling.feature.launcher.impl.extensions.handlers.ContentPackageHandler

All Implemented Interfaces:
  `ExtensionHandler`

public class ContentPackageHandler extends Object implements ExtensionHandler

## Constructor Summary

Constructors
Constructor
Description
`ContentPackageHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`handle(ExtensionContext context, org.apache.sling.feature.Extension extension)`
Try to handle the extension.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentPackageHandler

public ContentPackageHandler()

## Method Details

### handle

public boolean handle(ExtensionContext context, org.apache.sling.feature.Extension extension) throws IOException
Description copied from interface: `ExtensionHandler`
Try to handle the extension. As soon as a handler returns `true`, no other handler is invoked for this extension.

Specified by:
  `handle` in interface `ExtensionHandler`
Parameters:
  `context` - Context for the handler
  `extension` - The feature model extension
Returns:
  `true` if the handler handled the extension.
Throws:
  `IOException`